> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmcp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tool

> Retrieve a single tool by ID.

## Path Parameters

<ParamField path="server_id" type="string" required>
  The UUID of the server the tool belongs to (e.g. `836995ae-1cff-41ec-823e-a4f07ccca3a0`). Numeric IDs are also accepted for backwards compatibility.
</ParamField>

<ParamField path="id" type="string" required>
  The UUID of the tool (e.g. `5376af81-6bb8-4b01-800c-508d7672e394`). Numeric IDs are also accepted for backwards compatibility.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
       --url https://yoursite.com/wp-json/getmcp/v1/servers/836995ae-1cff-41ec-823e-a4f07ccca3a0/tools/5376af81-6bb8-4b01-800c-508d7672e394 \
       --header 'Authorization: Bearer gmcp_your_api_key'
  ```

  ```python Python theme={null}
  import requests
  response = requests.get(
      "https://yoursite.com/wp-json/getmcp/v1/servers/836995ae-1cff-41ec-823e-a4f07ccca3a0/tools/5376af81-6bb8-4b01-800c-508d7672e394",
      headers={"Authorization": "Bearer gmcp_your_api_key"}
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://yoursite.com/wp-json/getmcp/v1/servers/836995ae-1cff-41ec-823e-a4f07ccca3a0/tools/5376af81-6bb8-4b01-800c-508d7672e394",
    {
      headers: { "Authorization": "Bearer gmcp_your_api_key" }
    }
  );
  const data = await response.json();
  ```

  ```php PHP theme={null}
  $response = wp_remote_get(
      "https://yoursite.com/wp-json/getmcp/v1/servers/836995ae-1cff-41ec-823e-a4f07ccca3a0/tools/5376af81-6bb8-4b01-800c-508d7672e394",
      ["headers" => ["Authorization" => "Bearer gmcp_your_api_key"]]
  );
  $data = json_decode(wp_remote_retrieve_body($response), true);
  ```

  ```go Go theme={null}
  package main
  import (
  	"fmt"
  	"io"
  	"net/http"
  )

  func main() {
  	req, _ := http.NewRequest("GET", "https://yoursite.com/wp-json/getmcp/v1/servers/836995ae-1cff-41ec-823e-a4f07ccca3a0/tools/5376af81-6bb8-4b01-800c-508d7672e394", nil)

  	client := &http.Client{}
  	resp, _ := client.Do(req)
  	defer resp.Body.Close()
  	data, _ := io.ReadAll(resp.Body)
  	fmt.Println(string(data))
  }
  ```

  ```java Java theme={null}
  import java.net.URI;
  import java.net.http.HttpClient;
  import java.net.http.HttpRequest;
  import java.net.http.HttpResponse;

  public class Main {
      public static void main(String[] args) throws Exception {
          HttpRequest request = HttpRequest.newBuilder()
              .uri(URI.create("https://yoursite.com/wp-json/getmcp/v1/servers/836995ae-1cff-41ec-823e-a4f07ccca3a0/tools/5376af81-6bb8-4b01-800c-508d7672e394"))
              .GET()
              .build();

          HttpClient client = HttpClient.newHttpClient();
          HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
          System.out.println(response.body());
      }
  }
  ```

  ```ruby Ruby theme={null}
  require 'net/http'
  require 'json'
  require 'uri'

  uri = URI('https://yoursite.com/wp-json/getmcp/v1/servers/836995ae-1cff-41ec-823e-a4f07ccca3a0/tools/5376af81-6bb8-4b01-800c-508d7672e394')
  http = Net::HTTP.new(uri.host, uri.port)
  http.use_ssl = uri.scheme == 'https'

  request = Net::HTTP::Get.new(uri)

  response = http.request(request)
  puts JSON.parse(response.body)
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": 5,
    "uuid": "5376af81-6bb8-4b01-800c-508d7672e394",
    "server_id": 1,
    "name": "create_customer",
    "description": "Create a new customer in Stripe",
    "endpoint_url": "https://api.stripe.com/v1/customers",
    "http_method": "POST",
    "input_schema": {
      "type": "object",
      "properties": {
        "email": {"type": "string", "format": "email", "description": "Customer email"},
        "name": {"type": "string", "description": "Customer full name"}
      },
      "required": ["email"]
    },
    "parameter_mapping": {
      "email": {"target": "body", "key": "email"},
      "name": {"target": "body", "key": "name"}
    },
    "response_mapping": {
      "selector": "",
      "format": "json",
      "template": ""
    },
    "headers": null,
    "cache_ttl": 0,
    "timeout": 30,
    "rate_limit_per_min": 60,
    "retry_count": 0,
    "retry_backoff": "exponential",
    "sort_order": 0,
    "status": "active",
    "tags": [],
    "last_tested_at": null,
    "last_test_response_ms": null,
    "server_uuid": "836995ae-1cff-41ec-823e-a4f07ccca3a0",
    "server_hex": "a1b2c3d4e5f6a1b2",
    "created_at": "2025-03-18T10:00:00Z",
    "updated_at": "2025-03-18T10:00:00Z"
  }
  ```

  ```json 404 Not Found theme={null}
  {
    "code": "getmcp_not_found",
    "message": "Tool not found.",
    "data": { "status": 404 }
  }
  ```
</ResponseExample>
